diff --git a/Android.bp b/Android.bp
index 0c440d4..72a7bfe 100644
--- a/Android.bp
+++ b/Android.bp
@@ -34,21 +34,20 @@ license {
         "SPDX-license-identifier-MIT",
     ],
     license_text: [
         "LICENSE-APACHE",
         "LICENSE-MIT",
     ],
 }
 
 rust_test {
     name: "flate2_test_src_lib",
-    host_supported: true,
     crate_name: "flate2",
     cargo_env_compat: true,
     cargo_pkg_version: "1.0.28",
     crate_root: "src/lib.rs",
     test_suites: ["general-tests"],
     auto_gen_config: true,
     test_options: {
         unit_test: true,
     },
     edition: "2018",
@@ -61,21 +60,20 @@ rust_test {
     rustlibs: [
         "libcrc32fast",
         "liblibz_sys",
         "libquickcheck",
         "librand",
     ],
 }
 
 rust_test {
     name: "flate2_test_tests_early-flush",
-    host_supported: true,
     crate_name: "early_flush",
     cargo_env_compat: true,
     cargo_pkg_version: "1.0.28",
     crate_root: "tests/early-flush.rs",
     test_suites: ["general-tests"],
     auto_gen_config: true,
     test_options: {
         unit_test: true,
     },
     edition: "2018",
@@ -89,21 +87,20 @@ rust_test {
         "libcrc32fast",
         "libflate2",
         "liblibz_sys",
         "libquickcheck",
         "librand",
     ],
 }
 
 rust_test {
     name: "flate2_test_tests_empty-read",
-    host_supported: true,
     crate_name: "empty_read",
     cargo_env_compat: true,
     cargo_pkg_version: "1.0.28",
     crate_root: "tests/empty-read.rs",
     test_suites: ["general-tests"],
     auto_gen_config: true,
     test_options: {
         unit_test: true,
     },
     edition: "2018",
@@ -117,21 +114,20 @@ rust_test {
         "libcrc32fast",
         "libflate2",
         "liblibz_sys",
         "libquickcheck",
         "librand",
     ],
 }
 
 rust_test {
     name: "flate2_test_tests_gunzip",
-    host_supported: true,
     crate_name: "gunzip",
     cargo_env_compat: true,
     cargo_pkg_version: "1.0.28",
     crate_root: "tests/gunzip.rs",
     test_suites: ["general-tests"],
     auto_gen_config: true,
     test_options: {
         unit_test: true,
     },
     edition: "2018",
@@ -152,21 +148,20 @@ rust_test {
         "tests/corrupt-gz-file.bin",
         "tests/good-file.gz",
         "tests/good-file.txt",
         "tests/multi.gz",
         "tests/multi.txt",
     ],
 }
 
 rust_test {
     name: "flate2_test_tests_zero-write",
-    host_supported: true,
     crate_name: "zero_write",
     cargo_env_compat: true,
     cargo_pkg_version: "1.0.28",
     crate_root: "tests/zero-write.rs",
     test_suites: ["general-tests"],
     auto_gen_config: true,
     test_options: {
         unit_test: true,
     },
     edition: "2018",
